### Enumeration

# Qmi DmsUimPinStatus

since: 1.0

#### Declaration

    enum Qmi.DmsUimPinStatus

#### Description [src]

The PIN status.

Available since: 1.0

#### Members

`QMI_DMS_UIM_PIN_STATUS_NOT_INITIALIZED`

  Not initialized.

  - Value: `0`
  - Available since: 1.0
`QMI_DMS_UIM_PIN_STATUS_ENABLED_NOT_VERIFIED`

  Enabled, not verified.

  - Value: `1`
  - Available since: 1.0
`QMI_DMS_UIM_PIN_STATUS_ENABLED_VERIFIED`

  Enabled, verified.

  - Value: `2`
  - Available since: 1.0
`QMI_DMS_UIM_PIN_STATUS_DISABLED`

  Disabled.

  - Value: `3`
  - Available since: 1.0
`QMI_DMS_UIM_PIN_STATUS_BLOCKED`

  Blocked.

  - Value: `4`
  - Available since: 1.0
`QMI_DMS_UIM_PIN_STATUS_PERMANENTLY_BLOCKED`

  Permanently Blocked.

  - Value: `5`
  - Available since: 1.0
`QMI_DMS_UIM_PIN_STATUS_UNBLOCKED`

  Unblocked.

  - Value: `6`
  - Available since: 1.0
`QMI_DMS_UIM_PIN_STATUS_CHANGED`

  Changed.

  - Value: `7`
  - Available since: 1.0

#### Type functions

###### qmi_dms_uim_pin_status_get_string

Gets the nickname string for the `QmiDmsUimPinStatus` specified at `val`.

since: 1.0